server.address=127.0.0.1
server.port=8083

## ActiveMQ
spring.activemq.broker-url=tcp://localhost:61616
spring.activemq.user=admin
spring.activemq.password=admin
spring.activemq.packages.trust-all=true
spring.activemq.non-blocking-redelivery=true

## H2
spring.datasource.url=jdbc:h2:file:C:/Users/cpe/eclipse-workspace/dbtest
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.h2.console.enabled=true

spring.jpa.generate-ddl=true
spring.jpa.show-sql = true

spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.properties.hibernate.format_sql=true

spring.h2.console.path=/h2-console
spring.h2.console.settings.trace=false
spring.h2.console.settings.web-allow-others=false

## PostgreSQL
#spring.datasource.url=jdbc:postgresql://127.0.0.1:5432/market
#spring.datasource.username=market
#spring.datasource.password=password

spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.properties.hibernate.globally_quoted_identifiers=true

## FOR EMBEDED DB
#spring.sql.init.enabled=true

